Package fr.gouv.vitam.storage.engine.common.model

# Class TarEntryDescription

java.lang.Object
fr.gouv.vitam.storage.engine.common.model.TarEntryDescription

public class TarEntryDescription extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DIGEST`
  `static final String`
  `ENTRY_NAME`
  `static final String`
  `SIZE`
  `static final String`
  `START_POS`
  `static final String`
  `TAR_FILE_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TarEntryDescription()`
  `TarEntryDescription(String tarFileId, String entryName, long startPos, long size, String digestValue)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDigestValue()`
  `String`
  `getEntryName()`
  `long`
  `getSize()`
  `long`
  `getStartPos()`
  `String`
  `getTarFileId()`
  `TarEntryDescription`
  `setDigestValue(String digestValue)`
  `TarEntryDescription`
  `setEntryName(String entryName)`
  `TarEntryDescription`
  `setSize(long size)`
  `TarEntryDescription`
  `setStartPos(long startPos)`
  `TarEntryDescription`
  `setTarFileId(String tarFileId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAR_FILE_ID

    public static final String TAR_FILE_ID
    See Also:
      - Constant Field Values

  - ### ENTRY_NAME

    public static final String ENTRY_NAME
    See Also:
      - Constant Field Values

  - ### START_POS

    public static final String START_POS
    See Also:
      - Constant Field Values

  - ### SIZE

    public static final String SIZE
    See Also:
      - Constant Field Values

  - ### DIGEST

    public static final String DIGEST
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TarEntryDescription

    public TarEntryDescription()

  - ### TarEntryDescription

    public TarEntryDescription(String tarFileId, String entryName, long startPos, long size, String digestValue)

- ## Method Details

  - ### getTarFileId

    public String getTarFileId()

  - ### setTarFileId

    public TarEntryDescription setTarFileId(String tarFileId)

  - ### getEntryName

    public String getEntryName()

  - ### setEntryName

    public TarEntryDescription setEntryName(String entryName)

  - ### getStartPos

    public long getStartPos()

  - ### setStartPos

    public TarEntryDescription setStartPos(long startPos)

  - ### getSize

    public long getSize()

  - ### setSize

    public TarEntryDescription setSize(long size)

  - ### getDigestValue

    public String getDigestValue()

  - ### setDigestValue

    public TarEntryDescription setDigestValue(String digestValue)